﻿@inherits ProductsListViewModel

@if (Products == null)
{
    <p>Wait, please...</p>
}
else
{
    <table class="k-table">
        <thead class="k-thead">
            <tr class="table-headers k-tr">
                <th class="k-th">Обозначение</th>
                <th class="k-th">Версия</th>
                <th class="k-th">Состояние</th>
                <th class="k-th">Модель</th>
                <th class="k-th">Вес</th>

            </tr>
        </thead>

        <tbody>
            
            @foreach (var product in Products)
            {
            <tr class="hand-hover k-tr" 
                onclick="@(() => SelectedProducts(product))">

              <td class="k-td">@product.Designation</td>
              <td class="k-td">@product.Version</td>
              <td class="k-td">@product.State</td>
              <td class="k-td">@product.ModelId</td>
              <td class="k-td">@product.Weight</td>
            </tr>
            }

        </tbody>
    </table>
}
